
%global minor_version 0.8
%global xfceversion 4.16

Name:           xfce4-dict
Version:        0.8.6
Release:    1%{?dist}
Summary:        A Dictionary Client for the Xfce desktop environment
Summary(de):    Ein Wörterbuch-Client für die Xfce Desktop-Umgebung

License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://archive.xfce.org/src/apps/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2

BuildRequires: make
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       enchant, xdg-utils


%description
Xfce4 Dictionary is a client program to query different dictionaries. It can
query a Dict server (RFC 2229), open online dictionaries in a web browser or
verify the spelling of a word using enchant. This package contains the
stand-alone application, that can be used in different desktop environments
too.

%package        plugin
Summary:        Xfce panel plugin to query a Dict server
Requires:       %{name} = %{version}-%{release}
Requires:       xfce4-panel >= %{xfceversion}

%description    plugin
Xfce4 Dictionary is a client program to query different dictionaries. It can
query a Dict server (RFC 2229), open online dictionaries in a web browser or
verify the spelling of a word using enchant. This package contains the plugin
for the Xfce panel.


%prep
%setup -q


%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'

chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop



%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/org.xfce.Dictionary.png
%{_datadir}/icons/hicolor/scalable/apps/org.xfce.Dictionary.svg
%{_mandir}/man1/%{name}.1.gz

%files plugin
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.6-1
- initial build
